﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://www.avianwaves.com/Software/Tools/RDTabs/RDTabsSetup_3.0.9.exe'
$url64      = 'https://www.avianwaves.com/Software/Tools/RDTabs/RDTabsSetup_3.0.9.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'RD Tabs'

  checksum      = '134e9a933a53cc80e5f7d243ec399302d2629586331fc4ec255917e8ad48221f'
  checksumType  = 'sha256'
  checksum64    = '134e9a933a53cc80e5f7d243ec399302d2629586331fc4ec255917e8ad48221f'
  checksumType64= 'sha256'

  silentArgs    = "-quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
